#pragma off (unreferenced)
static char iogsadad_h_id[] = "$Id: iogsadad.h,v 1.1 2002/01/07 14:32:45 sgn Exp $";
#pragma on (unreferenced)
/* $Locker:  $
 * 
 *      This program is Copyright (C) 2001 COM, Incorporated
 *                    ALL RIGHTS RESERVED
 *
 * CAUTION: THIS FILE CONTAINS HARDWARE-, OS-, AND/OR
 *          COMPILER-SPECIFIC MANIFESTS, TABLES, AND CODE!!
 *
 * This file contains functions which are specific to the
 * General Standards Corporation PCI-ADADIO analog I/O 
 * cards.
 *
 * MODIFICATION HISTORY:
 * $Log: iogsadad.h,v $
 * Revision 1.1  2002/01/07 14:32:45  sgn
 * Initial revision
 *
 *
 */

#include "iomgr.h"

#ifdef INCLUDE_REGDEFS
//**********************************************************
// General Standards PCI-ADADIO - HARDWARE DEFINITIONS
//**********************************************************

#define VENDOR_ID 0x10b5	// Brand specific PCI bus vendor ID code.
#define DEVICE_ID 0x9080	// PCI device specific ID 
#define SUBSYS_ID 0x2370	// Sub-system vendor ID

// Register offsets from card base address.
enum RegisterOffsetEnum
{
	BOARD_CONTROL,
	DIGITAL_IO_PORT,
	ANALOG_OUTPUT_CHAN_00,
	ANALOG_OUTPUT_CHAN_01,
	ANALOG_OUTPUT_CHAN_02,
	ANALOG_OUTPUT_CHAN_03,
	ANALOG_INPUT_DATA,
	SAMPLE_RATE
};

// PLX-9080 PCI Interface LCR offsets

// Offset from LCR base address to the interrupt
// control/status register.
#define INT_CTRL_STAT 0x4c


#endif

#define PCIADADIO_DACS_PER_BOARD 4
#define PCIADADIO_ADCS_PER_BOARD 8

//**********************************************************
// PCI-ADADIO - Device Driver Data Structures 
//**********************************************************

// This is used to store information about each I/O card
// found in the system.
typedef struct
{
	unsigned long ulPhysicalAddress;// Physical memory address of registers.
	void *pMappedPage;		// Pointer to mapped page(s) containing registers.
	unsigned long ulOffsetInPage;	// Offset within page to registers.
	size_t tMemSize;		// Size of mapped memory region.
	off_t tPage;			// Address of page to be mapped.
	volatile unsigned long *pRegisters; // Pointer to memory mapped registers.
	int iInterruptNumber;		// PC Interrupt line (IRQ) number.
	int iLCRBase;			// Base I/O address of the PCI Local
					// Configuration Registers.
} AIOCARD;

//**********************************************************
// PCI-ADADIO - FUNCTION PROTOTYPES
//**********************************************************

int iogsadadIdent(VERBOSE_MODE VerboseMode, AIOCARD **sCards); 
int iogsadadInit(int iCardCnt, AIOCARD *sCards);
int iogsadadShutdown(int iCardCnt, AIOCARD *sCards);
int iogsadadTrig(AIOCARD *sCards);
int iogsadadIn(int InputIndex, int iCardCnt, AIOCARD *sCards);
int iogsadadOut(int OutputIndex, int iCardCnt, AIOCARD *sCards);

